# Programas
alias vdi='vimdiff'
alias gdl='gallery-dl'
alias m='neomutt'
alias rr='ranger'
alias amix='alsamixer'
alias v='$EDITOR'
alias irc='weechat -d "$XDG_CONFIG_HOME"/weechat'
alias play='ncmpcpp'
alias torr='tremc'
alias py='python '
alias help='run-help'
alias p='pacui'
alias surfraw='surfraw -browser=$BROWSER'
alias bm='bashmount'
alias kat='cat'
alias yt='mpsyt'
alias pudb='python -m pudb.run'

# Git
alias git='lab'
alias gst='git status'
alias gca='git commit -a -m'
alias gu='git add -vu'
alias gc='git add --all && git commit -m'
alias gp="git push"

# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias chmod='chmod -v'
alias chown='chown -v'
alias mv='mv -iv'
alias rmdir='rmdir -v'
alias mkdir='mkdir -pv'
alias cp='cp -raiv'
alias rm='rm -Iv'
alias ln='ln -iv'
alias rename='rename -v'
alias mount='mount -v'
alias umount='umount -v'

# Con opciones por defecto
alias cat='bat --color=always --terminal-width=-10'
alias ncdu='ncdu --color dark -rr -x --exclude .git --exclude node_modules'
alias ls='ls -Ft --color=always --group-directories-first'
alias ll='ls -apvx --color=always --group-directories-first'
alias lt='ls -coghpFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"'
alias grep='grep --color=tty -d skip'
alias ccat="highlight --out-format=ansi"
alias sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS} '
alias dmesg='dmesg --color=always'
alias tree='tree -CAFa -I "CVS|*.*.package|.svn|.git|.hg|node_modules" --dirsfirst'
alias lsblk='lsblk -o "KNAME,HOTPLUG,SIZE,FSTYPE,TYPE,LABEL,MOUNTPOINT,UUID,MODEL,SERIAL"'
alias dir='dir --color=always'
alias df='df -hT --total'
alias free='free -ht'
alias doo='du -d1 -h | sort -rh'
alias du='du -sh'
alias info='info --vi-keys'
alias inxi='inxi -Fz'
alias ping='ping -c 5 '
alias dd='dd status=progress'
alias dirs='dirs -v -p'
alias dfc='dfc -dmT'
alias diff='diff --color=auto'
alias dif='diff-so-fancy | less --tabs=1,5 -SRX'
alias atl='atool --each --extract'

# Comandos
alias sudo='sudo '
alias chau="bspc quit 1"
alias path='echo -e ${PATH//:/\\n}'
alias pwn='chmod +x'
alias ta='tmux attach -t'
alias tn='tmux new-session -s'
alias tk='tmux kill-session -t'
alias tsq='pkill transmission-daemon'
alias tsl='transmission-remote --list'
alias tsx='transmission-remote --remove-and-delete -t'
alias tsr='transmission-remote --remove -t'
alias jamachi='systemctl start logmein-hamachi.service'
alias jamacho='systemctl stop logmein-hamachi.service'