setl ts=2
setl sts=2
setl sw=2
setl et
setl tw=80
setlocal colorcolumn=79

function! Prose()
	" manual reformatting shortcuts
	nnoremap <buffer> <silent> Q gqap
	xnoremap <buffer> <silent> Q gq
	nnoremap <buffer> <silent> <localleader>Q vapJgqap

	" force top correction on most recent misspelling
	nnoremap <buffer> <c-s> [s1z=<c-o>
	inoremap <buffer> <c-s> <c-g>u<Esc>[s1z=`]A<c-g>u

	" replace common punctuation
	iabbrev <buffer> -- –
	iabbrev <buffer> --- —
	iabbrev <buffer> << «
	iabbrev <buffer> >> »
endfunction

augroup mdownstuff
	autocmd!
	autocmd BufEnter call Prose()
	autocmd BufNewFile *.md call Prose()
augroup END

setl rulerformat=%-12.(%l,%c%V%)\ %P