setlocal colorcolumn=79

augroup pystuff
	autocmd!
	autocmd BufNewFile *.py 0r ~/.config/nvim/templates/py.skeleton
augroup END

nnoremap <buffer> <localleader>y :0,$!yapf<Cr>
nnoremap <buffer> <LocalLeader>i :!isort %<CR><CR>
nnoremap <buffer> <silent> <LocalLeader>= :ALEFix<CR>
nnoremap <buffer> <localleader>c I#<esc>

" Disable warnings about trailing whitespace for Python files.
let b:ale_warn_about_trailing_whitespace = 0